Xerces-C++: DefaultPanicHandler Class Reference

Xerces-C++ 3.2.2

List of all members
DefaultPanicHandler Class Reference

Receive notification of panic. More...

Inheritance diagram for DefaultPanicHandler:

## Public Member Functions
hidden Constructors
| DefaultPanicHandler ()
| Default constructor. More...
virtual | ~DefaultPanicHandler ()
| Destructor. More...
Implement virtual panic handler interface
virtual void | panic (const PanicHandler::PanicReasons reason)
| Receive notification of panic. More...
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...
Public Member Functions inherited from PanicHandler
virtual | ~PanicHandler ()
| Destructor. More...

## Additional Inherited Members
Public Types inherited from PanicHandler
enum | PanicReasons { Panic_NoTransService, Panic_NoDefTranscoder, Panic_CantFindLib, Panic_UnknownMsgDomain, Panic_CantLoadMsgDomain, Panic_SynchronizationErr, Panic_SystemInit, Panic_AllStaticInitErr, Panic_MutexErr, PanicReasons_Count }
Static Public Member Functions inherited from PanicHandler
static const char * | getPanicReasonString (const PanicHandler::PanicReasons reason)
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...
Protected Member Functions inherited from PanicHandler
| PanicHandler ()
| Default constructor. More...

## Detailed Description

Receive notification of panic.

This is Xerces' default implementation of the PanicHanlder interface, which will be instantiated and used in the absence of an application's panic handler.

## Constructor & Destructor Documentation

## ◆ DefaultPanicHandler()

DefaultPanicHandler::DefaultPanicHandler | ( |  | ) |

Default constructor.

## ◆ ~DefaultPanicHandler()

virtual DefaultPanicHandler::~DefaultPanicHandler | ( |  | ) |
| virtual

Destructor.

References PanicHandler::panic(), and XERCES_CPP_NAMESPACE_END.

## Member Function Documentation

## ◆ panic()

virtual void DefaultPanicHandler::panic | ( | const PanicHandler::PanicReasons | reason | ) |
| virtual

Receive notification of panic.

Upon invocation, a corresponding error message will be output to the stderr, and program exit.

Parameters

  reason | The reason of panic

Implements PanicHandler.

The documentation for this class was generated from the following file:

- DefaultPanicHandler.hpp